diff --git a/testing/mozbase/mozlog/mozlog/formatters/html/xmlgen.py b/testing/mozbase/mozlog/mozlog/formatters/html/xmlgen.py
index e5998cda33..e405999c6b 100644
--- a/testing/mozbase/mozlog/mozlog/formatters/html/xmlgen.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/html/xmlgen.py
@@ -24,18 +24,13 @@ by holger krekel, holger at merlinux eu. 2009
 import sys
 import re
 
-if sys.version_info >= (3, 0):
-    def u(s):
-        return s
+def u(s):
+    return s
 
-    def unicode(x):
-        if hasattr(x, '__unicode__'):
-            return x.__unicode__()
-        return str(x)
-else:
-    def u(s):
-        return unicode(s)
-    unicode = unicode
+def str(x):
+    if hasattr(x, '__unicode__'):
+        return x.__unicode__()
+    return str(x)
 
 
 class NamespaceMetaclass(type):
@@ -58,20 +53,20 @@ class NamespaceMetaclass(type):
 
 class Tag(list):
 
-    class Attr(object):
+    class Attr:
 
         def __init__(self, **kwargs):
             self.__dict__.update(kwargs)
 
     def __init__(self, *args, **kwargs):
-        super(Tag, self).__init__(args)
+        super().__init__(args)
         self.attr = self.Attr(**kwargs)
 
     def __unicode__(self):
-        return self.unicode(indent=0)
+        return self.str(indent=0)
     __str__ = __unicode__
 
-    def unicode(self, indent=2):
+    def str(self, indent=2):
         l = []
         SimpleUnicodeVisitor(l.append, indent).visit(self)
         return u("").join(l)
@@ -89,7 +84,7 @@ Namespace = NamespaceMetaclass('Namespace', (object, ), {
 
 class HtmlTag(Tag):
 
-    def unicode(self, indent=2):
+    def str(self, indent=2):
         l = []
         HtmlVisitor(l.append, indent, shortempty=False).visit(self)
         return u("").join(l)
@@ -100,7 +95,7 @@ class HtmlTag(Tag):
 class html(Namespace):
     __tagclass__ = HtmlTag
     __stickyname__ = True
-    __tagspec__ = dict([(x, 1) for x in (
+    __tagspec__ = {x: 1 for x in (
         'a,abbr,acronym,address,applet,area,b,bdo,big,blink,'
         'blockquote,body,br,button,caption,center,cite,code,col,'
         'colgroup,comment,dd,del,dfn,dir,div,dl,dt,em,embed,'
@@ -111,9 +106,9 @@ class html(Namespace):
         'select,small,span,strike,strong,style,sub,sup,table,'
         'tbody,td,textarea,tfoot,th,thead,title,tr,tt,u,ul,xmp,'
         'base,basefont,frame,hr,isindex,param,samp,var'
-    ).split(',') if x])
+    ).split(',') if x}
 
-    class Style(object):
+    class Style:
 
         def __init__(self, **kw):
             for x, y in kw.items():
@@ -121,7 +116,7 @@ class html(Namespace):
                 setattr(self, x, y)
 
 
-class raw(object):
+class raw:
     """just a box that can contain a unicode string that will be
     included directly in the output"""
 
@@ -129,7 +124,7 @@ class raw(object):
         self.uniobj = uniobj
 
 
-class SimpleUnicodeVisitor(object):
+class SimpleUnicodeVisitor:
     """ recursive visitor to write unicode. """
 
     def __init__(self, write, indent=0, curindent=0, shortempty=True):
@@ -160,7 +155,7 @@ class SimpleUnicodeVisitor(object):
     # to avoid clashes with the tag name object
     def __object(self, obj):
         # self.write(obj)
-        self.write(escape(unicode(obj)))
+        self.write(escape(str(obj)))
 
     def raw(self, obj):
         self.write(obj.uniobj)
@@ -217,8 +212,8 @@ class SimpleUnicodeVisitor(object):
             if isinstance(value, raw):
                 insert = value.uniobj
             else:
-                insert = escape(unicode(value))
-            return ' %s="%s"' % (name, insert)
+                insert = escape(str(value))
+            return ' {}="{}"'.format(name, insert)
 
     def getstyle(self, tag):
         """ return attribute list suitable for styling. """
@@ -241,20 +236,20 @@ class SimpleUnicodeVisitor(object):
 
 class HtmlVisitor(SimpleUnicodeVisitor):
 
-    single = dict([(x, 1) for x in
+    single = {x: 1 for x in
                    ('br,img,area,param,col,hr,meta,link,base,'
-                    'input,frame').split(',')])
-    inline = dict([(x, 1) for x in
+                    'input,frame').split(',')}
+    inline = {x: 1 for x in
                    ('a abbr acronym b basefont bdo big br cite code dfn em font '
                     'i img input kbd label q s samp select small span strike '
-                    'strong sub sup textarea tt u var'.split(' '))])
+                    'strong sub sup textarea tt u var'.split(' '))}
 
     def repr_attribute(self, attrs, name):
         if name == 'class_':
             value = getattr(attrs, name)
             if value is None:
                 return
-        return super(HtmlVisitor, self).repr_attribute(attrs, name)
+        return super().repr_attribute(attrs, name)
 
     def _issingleton(self, tagname):
         return tagname in self.single
@@ -270,14 +265,14 @@ class _escape:
             u('"'): u('&quot;'), u('<'): u('&lt;'), u('>'): u('&gt;'),
             u('&'): u('&amp;'), u("'"): u('&apos;'),
         }
-        self.charef_rex = re.compile(u("|").join(self.escape.keys()))
+        self.charef_rex = re.compile(u("|").join(list(self.escape.keys())))
 
     def _replacer(self, match):
         return self.escape[match.group(0)]
 
     def __call__(self, ustring):
         """ xml-escape the given unicode string. """
-        ustring = unicode(ustring)
+        ustring = str(ustring)
         return self.charef_rex.sub(self._replacer, ustring)
 
 escape = _escape()
diff --git a/testing/mozbase/mozlog/mozlog/formatters/machformatter.py b/testing/mozbase/mozlog/mozlog/formatters/machformatter.py
index f8f1abc256..3dc005e4bd 100644
--- a/testing/mozbase/mozlog/mozlog/formatters/machformatter.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/machformatter.py
@@ -10,7 +10,7 @@ try:
 except ImportError:
     blessings = None
 
-import base
+from . import base
 from .process import strstatus
 
 
@@ -20,7 +20,7 @@ def format_seconds(total):
     return '%2d:%05.2f' % (minutes, seconds)
 
 
-class NullTerminal(object):
+class NullTerminal:
 
     def __getattr__(self, name):
         return self._id
@@ -91,7 +91,7 @@ class MachFormatter(base.BaseFormatter):
             if color is not None:
                 action = color(action)
 
-        return "%s %s: %s %s\n" % (time, action, thread, s)
+        return "{} {}: {} {}\n".format(time, action, thread, s)
 
     def _get_test_id(self, data):
         test_id = data.get("test")
@@ -100,7 +100,7 @@ class MachFormatter(base.BaseFormatter):
         return test_id
 
     def _get_file_name(self, test_id):
-        if isinstance(test_id, (str, unicode)):
+        if isinstance(test_id, (str, str)):
             return test_id
 
         if isinstance(test_id, tuple):
@@ -160,14 +160,14 @@ class MachFormatter(base.BaseFormatter):
                     for name, status, expected, message in results:
                         if name is None:
                             name = "[Parent]"
-                        rv.append("%s %s" % (self.format_expected(status, expected), name))
+                        rv.append("{} {}".format(self.format_expected(status, expected), name))
             else:
                 for test_id, results in self.summary_unexpected:
                     test = self._get_file_name(test_id)
                     assert len(results) == 1
                     name, status, expected, messge = results[0]
                     assert name is None
-                    rv.append("%s %s" % (self.format_expected(status, expected), test))
+                    rv.append("{} {}".format(self.format_expected(status, expected), test))
 
         return "\n".join(rv)
 
@@ -181,11 +181,11 @@ class MachFormatter(base.BaseFormatter):
         if expected in ("PASS", "OK"):
             return color(status)
 
-        return color("%s expected %s" % (status, expected))
+        return color("{} expected {}".format(status, expected))
 
     def test_start(self, data):
         self.summary_values["tests"] += 1
-        return "%s" % (self._get_test_id(data),)
+        return "{}".format(self._get_test_id(data))
 
     def test_end(self, data):
         subtests = self._get_subtest_data(data)
@@ -222,7 +222,7 @@ class MachFormatter(base.BaseFormatter):
                 data["status"], expected_str, subtests["pass"], subtests["count"],
                 len(unexpected))
         else:
-            rv = "%s%s" % (data["status"], expected_str)
+            rv = "{}{}".format(data["status"], expected_str)
 
         if unexpected:
             rv += "\n"
@@ -232,7 +232,7 @@ class MachFormatter(base.BaseFormatter):
                 for name, status, expected, message in unexpected:
                     if name is None:
                         name = "[Parent]"
-                    expected_str = "Expected %s, got %s" % (expected, status)
+                    expected_str = "Expected {}, got {}".format(expected, status)
                     rv += "%s\n" % ("\n".join([name, "-" * len(name), expected_str, message]))
                 rv = rv[:-1]
         return rv
@@ -292,9 +292,9 @@ class MachFormatter(base.BaseFormatter):
 
         if "command" in data and data["process"] not in self._known_pids:
             self._known_pids.add(data["process"])
-            rv.append('(pid:%s) Full command: %s' % (data["process"], data["command"]))
+            rv.append('(pid:{}) Full command: {}'.format(data["process"], data["command"]))
 
-        rv.append('(pid:%s) "%s"' % (data["process"], data["data"]))
+        rv.append('(pid:{}) "{}"'.format(data["process"], data["data"]))
         return "\n".join(rv)
 
     def crash(self, data):
@@ -334,11 +334,11 @@ class MachFormatter(base.BaseFormatter):
         rv = "Started process `%s`" % data['process']
         desc = data.get('command')
         if desc:
-            rv = '%s (%s)' % (rv, desc)
+            rv = '{} ({})'.format(rv, desc)
         return rv
 
     def process_exit(self, data):
-        return "%s: %s" % (data['process'], strstatus(data['exitcode']))
+        return "{}: {}".format(data['process'], strstatus(data['exitcode']))
 
     def log(self, data):
         level = data.get("level").upper()
@@ -354,7 +354,7 @@ class MachFormatter(base.BaseFormatter):
         if data.get('component'):
             rv = " ".join([data["component"], level, data["message"]])
         else:
-            rv = "%s %s" % (level, data["message"])
+            rv = "{} {}".format(level, data["message"])
 
         if "stack" in data:
             rv += "\n%s" % data["stack"]
diff --git a/testing/mozbase/mozlog/mozlog/formatters/tbplformatter.py b/testing/mozbase/mozlog/mozlog/formatters/tbplformatter.py
index 71152d4558..81d1f0e643 100644
--- a/testing/mozbase/mozlog/mozlog/formatters/tbplformatter.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/tbplformatter.py
@@ -61,7 +61,7 @@ class TbplFormatter(BaseFormatter):
 
     def _log(self, data):
         if data.get('component'):
-            message = "%s %s" % (data["component"], data["message"])
+            message = "{} {}".format(data["component"], data["message"])
         else:
             message = data["message"]
 
@@ -78,12 +78,12 @@ class TbplFormatter(BaseFormatter):
     def process_start(self, data):
         msg = "TEST-INFO | started process %s" % data['process']
         if 'command' in data:
-            msg = '%s (%s)' % (msg, data['command'])
+            msg = '{} ({})'.format(msg, data['command'])
         return msg + '\n'
 
     @output_subtests
     def process_exit(self, data):
-        return "TEST-INFO | %s: %s\n" % (data['process'],
+        return "TEST-INFO | {}: {}\n".format(data['process'],
                                          strstatus(data['exitcode']))
 
     @output_subtests
@@ -91,7 +91,7 @@ class TbplFormatter(BaseFormatter):
         id = data["test"] if "test" in data else "pid: %s" % data["process"]
 
         signature = data["signature"] if data["signature"] else "unknown top frame"
-        rv = ["PROCESS-CRASH | %s | application crashed [%s]" % (id, signature)]
+        rv = ["PROCESS-CRASH | {} | application crashed [{}]".format(id, signature)]
 
         if data.get("minidump_path"):
             rv.append("Crash dump filename: %s" % data["minidump_path"])
@@ -149,7 +149,7 @@ class TbplFormatter(BaseFormatter):
         if "expected" in data:
             if not message:
                 message = "- expected %s" % data["expected"]
-            failure_line = "TEST-UNEXPECTED-%s | %s | %s %s\n" % (
+            failure_line = "TEST-UNEXPECTED-{} | {} | {} {}\n".format(
                 data["status"], data["test"], data["subtest"],
                 message)
             if data["expected"] != "PASS":
@@ -157,7 +157,7 @@ class TbplFormatter(BaseFormatter):
                 return failure_line + info_line
             return failure_line
 
-        return "TEST-%s | %s | %s %s\n" % (
+        return "TEST-{} | {} | {} {}\n".format(
             data["status"], data["test"], data["subtest"],
             message)
 
@@ -200,14 +200,14 @@ class TbplFormatter(BaseFormatter):
                     message += "\nREFTEST   IMAGE: data:image/png;base64,%(image1)s" \
                                % screenshots[0]["screenshot"]
 
-            failure_line = "TEST-UNEXPECTED-%s | %s | %s\n" % (
+            failure_line = "TEST-UNEXPECTED-{} | {} | {}\n".format(
                 data["status"], test_id, message)
 
             if data["expected"] not in ("PASS", "OK"):
                 expected_msg = "expected %s | " % data["expected"]
             else:
                 expected_msg = ""
-            info_line = "TEST-INFO %s%s\n" % (expected_msg, duration_msg)
+            info_line = "TEST-INFO {}{}\n".format(expected_msg, duration_msg)
 
             return failure_line + info_line
 
@@ -224,7 +224,7 @@ class TbplFormatter(BaseFormatter):
         return "SUITE-END | took %is\n" % time
 
     def test_id(self, test_id):
-        if isinstance(test_id, (str, unicode)):
+        if isinstance(test_id, (str, str)):
             return test_id
         else:
             return tuple(test_id)
diff --git a/testing/mozbase/mozlog/mozlog/formatters/unittest.py b/testing/mozbase/mozlog/mozlog/formatters/unittest.py
index 254205eae5..7618d25758 100755
--- a/testing/mozbase/mozlog/mozlog/formatters/unittest.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/unittest.py
@@ -3,7 +3,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-import base
+from . import base
 
 
 class UnittestFormatter(base.BaseFormatter):
diff --git a/testing/mozbase/mozlog/mozlog/formatters/xunit.py b/testing/mozbase/mozlog/mozlog/formatters/xunit.py
index 3930afa3e5..fcf42cbe0b 100644
--- a/testing/mozbase/mozlog/mozlog/formatters/xunit.py
+++ b/testing/mozbase/mozlog/mozlog/formatters/xunit.py
@@ -1,13 +1,13 @@
 import types
 from xml.etree import ElementTree
 
-import base
+from . import base
 
 
 def format_test_id(test_id):
     """Take a test id and return something that looks a bit like
     a class path"""
-    if type(test_id) not in types.StringTypes:
+    if type(test_id) not in (str,):
         # Not sure how to deal with reftests yet
         raise NotImplementedError
 
@@ -75,8 +75,8 @@ class XUnitFormatter(base.BaseFormatter):
                 result = ElementTree.SubElement(test, "failure")
                 self.failures += 1
 
-            result.attrib["message"] = "Expected %s, got %s" % (data["expected"], data["status"])
-            result.text = '%s\n%s' % (data.get('stack', ''), data.get('message', ''))
+            result.attrib["message"] = "Expected {}, got {}".format(data["expected"], data["status"])
+            result.text = '{}\n{}'.format(data.get('stack', ''), data.get('message', ''))
 
         elif data["status"] == "SKIP":
             result = ElementTree.SubElement(test, "skipped")
diff --git a/testing/mozbase/mozlog/mozlog/handlers/base.py b/testing/mozbase/mozlog/mozlog/handlers/base.py
index be4df21f9f..0cfa31727d 100644
--- a/testing/mozbase/mozlog/mozlog/handlers/base.py
+++ b/testing/mozbase/mozlog/mozlog/handlers/base.py
@@ -8,7 +8,7 @@ import codecs
 from ..structuredlog import log_levels
 
 
-class BaseHandler(object):
+class BaseHandler:
     """A base handler providing message handling facilities to
     derived classes.
 
@@ -95,7 +95,7 @@ class StreamHandler(BaseHandler):
         if not formatted:
             return
         with self._lock:
-            if isinstance(formatted, unicode):
+            if isinstance(formatted, str):
                 self.stream.write(formatted.encode("utf-8", "replace"))
             elif isinstance(formatted, str):
                 self.stream.write(formatted)
diff --git a/testing/mozbase/mozlog/mozlog/handlers/statushandler.py b/testing/mozbase/mozlog/mozlog/handlers/statushandler.py
index b5aeb1b537..b762eaeb44 100644
--- a/testing/mozbase/mozlog/mozlog/handlers/statushandler.py
+++ b/testing/mozbase/mozlog/mozlog/handlers/statushandler.py
@@ -15,7 +15,7 @@ RunSummary = namedtuple("RunSummary",
                          "action_counts"))
 
 
-class StatusHandler(object):
+class StatusHandler:
     """A handler used to determine an overall status for a test run according
     to a sequence of log messages."""
 
diff --git a/testing/mozbase/mozlog/mozlog/handlers/valgrindhandler.py b/testing/mozbase/mozlog/mozlog/handlers/valgrindhandler.py
index 5bedfb9abe..fd21570dab 100644
--- a/testing/mozbase/mozlog/mozlog/handlers/valgrindhandler.py
+++ b/testing/mozbase/mozlog/mozlog/handlers/valgrindhandler.py
@@ -19,7 +19,7 @@ class ValgrindHandler(BaseHandler):
             self.inner(tmp)
 
 
-class ValgrindFilter(object):
+class ValgrindFilter:
     '''
     A class for handling Valgrind output.
 
@@ -123,14 +123,14 @@ class ValgrindFilter(object):
                 # fields from the incoming message, since there's nowhere
                 # else to get them from.
                 output_message = {  # Mandatory fields
-                    u"action": "valgrind_error",
-                    u"time":   msg["time"],
-                    u"thread": msg["thread"],
-                    u"pid":    msg["pid"],
-                    u"source": msg["source"],
+                    "action": "valgrind_error",
+                    "time":   msg["time"],
+                    "thread": msg["thread"],
+                    "pid":    msg["pid"],
+                    "source": msg["source"],
                     # valgrind_error specific fields
-                    u"primary":   self.curr_failure_msg,
-                    u"secondary": self.buffered_lines}
+                    "primary":   self.curr_failure_msg,
+                    "secondary": self.buffered_lines}
                 self.curr_failure_msg = ""
                 self.buffered_lines = []
 
diff --git a/testing/mozbase/mozlog/mozlog/logtypes.py b/testing/mozbase/mozlog/mozlog/logtypes.py
index d5ebff93cc..4ab4f86d84 100644
--- a/testing/mozbase/mozlog/mozlog/logtypes.py
+++ b/testing/mozbase/mozlog/mozlog/logtypes.py
@@ -7,7 +7,7 @@ missing = object()
 no_default = object()
 
 
-class log_action(object):
+class log_action:
 
     def __init__(self, *args):
         self.args = {}
@@ -83,7 +83,7 @@ class log_action(object):
             if name not in values:
                 values[name] = self.args[name].default
 
-        for key, value in values.iteritems():
+        for key, value in values.items():
             if key in self.args:
                 out_value = self.args[key](value)
                 if out_value is not missing:
@@ -94,12 +94,12 @@ class log_action(object):
         return data
 
     def convert_known(self, **kwargs):
-        known_kwargs = {name: value for name, value in kwargs.iteritems()
+        known_kwargs = {name: value for name, value in kwargs.items()
                         if name in self.args}
         return self.convert(**known_kwargs)
 
 
-class DataType(object):
+class DataType:
 
     def __init__(self, name, default=no_default, optional=False):
         self.name = name
@@ -126,17 +126,17 @@ class DataType(object):
 class Unicode(DataType):
 
     def convert(self, data):
-        if isinstance(data, unicode):
+        if isinstance(data, str):
             return data
         if isinstance(data, str):
             return data.decode("utf8", "replace")
-        return unicode(data)
+        return str(data)
 
 
 class TestId(DataType):
 
     def convert(self, data):
-        if isinstance(data, unicode):
+        if isinstance(data, str):
             return data
         elif isinstance(data, bytes):
             return data.decode("utf-8", "replace")
diff --git a/testing/mozbase/mozlog/mozlog/proxy.py b/testing/mozbase/mozlog/mozlog/proxy.py
index 44ce242256..0c69728220 100644
--- a/testing/mozbase/mozlog/mozlog/proxy.py
+++ b/testing/mozbase/mozlog/mozlog/proxy.py
@@ -5,7 +5,7 @@
 from .structuredlog import get_default_logger
 
 
-class ProxyLogger(object):
+class ProxyLogger:
     """
     A ProxyLogger behaves like a
     :class:`mozlog.structuredlog.StructuredLogger`.
diff --git a/testing/mozbase/mozlog/mozlog/pytest_mozlog/plugin.py b/testing/mozbase/mozlog/mozlog/pytest_mozlog/plugin.py
index 811ee38e38..03090fe8a9 100644
--- a/testing/mozbase/mozlog/mozlog/pytest_mozlog/plugin.py
+++ b/testing/mozbase/mozlog/mozlog/pytest_mozlog/plugin.py
@@ -12,15 +12,15 @@ def pytest_addoption(parser):
     # Pytest's parser doesn't have the add_argument_group method Mozlog expects.
     group = parser.getgroup('mozlog')
 
-    for name, (_class, _help) in mozlog.commandline.log_formatters.iteritems():
-        group.addoption('--log-{0}'.format(name), action='append', help=_help)
+    for name, (_class, _help) in mozlog.commandline.log_formatters.items():
+        group.addoption('--log-{}'.format(name), action='append', help=_help)
 
-    formatter_options = mozlog.commandline.fmt_options.iteritems()
+    formatter_options = mozlog.commandline.fmt_options.items()
     for name, (_class, _help, formatters, action) in formatter_options:
         for formatter in formatters:
             if formatter in mozlog.commandline.log_formatters:
                 group.addoption(
-                    '--log-{0}-{1}'.format(formatter, name),
+                    '--log-{}-{}'.format(formatter, name),
                     action=action,
                     help=_help)
 
@@ -31,7 +31,7 @@ def pytest_configure(config):
         config.pluginmanager.register(MozLog())
 
 
-class MozLog(object):
+class MozLog:
 
     def __init__(self):
         self.results = {}
@@ -79,7 +79,7 @@ class MozLog(object):
         elif report.failed:
             status = 'FAIL' if report.when == 'call' else 'ERROR'
             crash = report.longrepr.reprcrash  # here longrepr is a ReprExceptionInfo
-            message = "{0} (line {1})".format(crash.message, crash.lineno)
+            message = "{} (line {})".format(crash.message, crash.lineno)
             stack = report.longrepr.reprtraceback
         elif report.skipped:  # indicates true skip
             status = expected = 'SKIP'
diff --git a/testing/mozbase/mozlog/mozlog/reader.py b/testing/mozbase/mozlog/mozlog/reader.py
index c00ec6d383..00a4343ee7 100644
--- a/testing/mozbase/mozlog/mozlog/reader.py
+++ b/testing/mozbase/mozlog/mozlog/reader.py
@@ -50,7 +50,7 @@ def each_log(log_iter, action_map):
             action_map[item["action"]](item)
 
 
-class LogHandler(object):
+class LogHandler:
     """Base class for objects that act as log handlers. A handler is a callable
     that takes a log entry as the only argument.
 
diff --git a/testing/mozbase/mozlog/mozlog/scripts/__init__.py b/testing/mozbase/mozlog/mozlog/scripts/__init__.py
index 53f9146c92..869fb81360 100644
--- a/testing/mozbase/mozlog/mozlog/scripts/__init__.py
+++ b/testing/mozbase/mozlog/mozlog/scripts/__init__.py
@@ -1,9 +1,9 @@
 #!/usr/bin/env python
 
 import argparse
-import unstable
-import format as formatlog
-import logmerge
+from . import unstable
+from . import format as formatlog
+from . import logmerge
 
 
 def get_parser():
@@ -16,7 +16,7 @@ def get_parser():
 
     sub_parser = parser.add_subparsers(title='Subcommands')
 
-    for command, (parser_func, main_func) in commands.iteritems():
+    for command, (parser_func, main_func) in commands.items():
         parent = parser_func(False)
         command_parser = sub_parser.add_parser(command,
                                                description=parent.description,
diff --git a/testing/mozbase/mozlog/mozlog/scripts/format.py b/testing/mozbase/mozlog/mozlog/scripts/format.py
index 1644e4b956..627ff104a4 100644
--- a/testing/mozbase/mozlog/mozlog/scripts/format.py
+++ b/testing/mozbase/mozlog/mozlog/scripts/format.py
@@ -12,7 +12,7 @@ def get_parser(add_help=True):
                         help="Filename to read from, defaults to stdin")
     parser.add_argument("--output", action="store", default=None,
                         help="Filename to write to, defaults to stdout")
-    parser.add_argument("format", choices=commandline.log_formatters.keys(),
+    parser.add_argument("format", choices=list(commandline.log_formatters.keys()),
                         help="Format to use")
     return parser
 
diff --git a/testing/mozbase/mozlog/mozlog/scripts/logmerge.py b/testing/mozbase/mozlog/mozlog/scripts/logmerge.py
index 1185dc6055..89ea8a2ad5 100644
--- a/testing/mozbase/mozlog/mozlog/scripts/logmerge.py
+++ b/testing/mozbase/mozlog/mozlog/scripts/logmerge.py
@@ -1,4 +1,3 @@
-from __future__ import print_function
 import argparse
 import json
 import os
@@ -61,7 +60,7 @@ def main(**kwargs):
         output = sys.stdout
     else:
         output = open(kwargs["output"], "w")
-    readers = [read(open(filename, 'r')) for filename in kwargs["files"]]
+    readers = [read(open(filename)) for filename in kwargs["files"]]
     start_events = [process_until_suite_start(reader, output) for reader in readers]
     validate_start_events(start_events)
     merged_start_event = merge_start_events(start_events)
diff --git a/testing/mozbase/mozlog/mozlog/scripts/unstable.py b/testing/mozbase/mozlog/mozlog/scripts/unstable.py
index 2b31bba52e..9839c175e4 100644
--- a/testing/mozbase/mozlog/mozlog/scripts/unstable.py
+++ b/testing/mozbase/mozlog/mozlog/scripts/unstable.py
@@ -73,17 +73,17 @@ def group_results(data):
 def print_results(data):
     for run_info, tests in data.iteritems():
         run_str = " ".join("%s:%s" % (k, v) for k, v in run_info) if run_info else "No Run Info"
-        print run_str
-        print "=" * len(run_str)
+        print(run_str)
+        print("=" * len(run_str))
         print_run(tests)
 
 
 def print_run(tests):
     for test, subtests in sorted(tests.items()):
-        print "\n" + str(test)
-        print "-" * len(test)
+        print("\n" + str(test))
+        print("-" * len(test))
         for name, results in subtests.iteritems():
-            print "[%s]: %s" % (name if name is not None else "",
+            print("[%s]: %s" % (name if name is not None else "",)
                                 " ".join("%s (%i)" % (k, v) for k, v in results.iteritems()))
 
 
@@ -106,7 +106,7 @@ def main(**kwargs):
         unstable = group_results(unstable)
 
     if kwargs["json"]:
-        print json.dumps(unstable)
+        print(json.dumps(unstable))
     else:
         if not kwargs["group"]:
             print_results(unstable)
diff --git a/testing/mozbase/mozlog/mozlog/stdadapter.py b/testing/mozbase/mozlog/mozlog/stdadapter.py
index fc967c0a61..d4459d9c75 100644
--- a/testing/mozbase/mozlog/mozlog/stdadapter.py
+++ b/testing/mozbase/mozlog/mozlog/stdadapter.py
@@ -1,6 +1,6 @@
 import logging
 
-from structuredlog import StructuredLogger, log_levels
+from .structuredlog import StructuredLogger, log_levels
 
 
 class UnstructuredHandler(logging.Handler):
@@ -20,7 +20,7 @@ class UnstructuredHandler(logging.Handler):
         self.emit(record)
 
 
-class LoggingWrapper(object):
+class LoggingWrapper:
 
     def __init__(self, wrapped):
         self.wrapped = wrapped
diff --git a/testing/mozbase/mozlog/mozlog/structuredlog.py b/testing/mozbase/mozlog/mozlog/structuredlog.py
index fb41f2112e..45e7b32ff6 100644
--- a/testing/mozbase/mozlog/mozlog/structuredlog.py
+++ b/testing/mozbase/mozlog/mozlog/structuredlog.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 from multiprocessing import current_process
 from threading import current_thread, Lock
@@ -11,8 +10,8 @@ import sys
 import time
 import traceback
 
-from logtypes import Unicode, TestId, Status, SubStatus, Dict, List, Int, Any, Tuple
-from logtypes import log_action, convertor_registry
+from .logtypes import Unicode, TestId, Status, SubStatus, Dict, List, Int, Any, Tuple
+from .logtypes import log_action, convertor_registry
 
 """Structured Logging for recording test results.
 
@@ -92,8 +91,8 @@ def set_default_logger(default_logger):
 
     _default_logger_name = default_logger.name
 
-log_levels = dict((k.upper(), v) for v, k in
-                  enumerate(["critical", "error", "warning", "info", "debug"]))
+log_levels = {k.upper(): v for v, k in
+                  enumerate(["critical", "error", "warning", "info", "debug"])}
 
 lint_levels = ["ERROR", "WARNING"]
 
@@ -103,7 +102,7 @@ def log_actions():
     return set(convertor_registry.keys())
 
 
-class LoggerState(object):
+class LoggerState:
 
     def __init__(self):
         self.handlers = []
@@ -112,13 +111,13 @@ class LoggerState(object):
         self.component_states = {}
 
 
-class ComponentState(object):
+class ComponentState:
 
     def __init__(self):
         self.filter_ = None
 
 
-class StructuredLogger(object):
+class StructuredLogger:
     _lock = Lock()
     _logger_states = {}
     """Create a structured logger with the given name
@@ -222,8 +221,8 @@ class StructuredLogger(object):
                 except Exception:
                     # Write the exception details directly to stderr because
                     # log() would call this method again which is currently locked.
-                    print >> sys.__stderr__, '%s: Failure calling log handler:' % __name__
-                    print >> sys.__stderr__, traceback.format_exc()
+                    print('%s: Failure calling log handler:' % __name__, file=sys.__stderr__)
+                    print(traceback.format_exc(), file=sys.__stderr__)
 
     def _make_log_data(self, action, data):
         all_data = {"action": action,
@@ -433,7 +432,7 @@ def _log_func(level_name):
                 exc_info = sys.exc_info()
             if exc_info != (None, None, None):
                 bt = traceback.format_exception(*exc_info)
-                data["stack"] = u"\n".join(bt)
+                data["stack"] = "\n".join(bt)
 
         data["level"] = level_name
         self._log_data("log", data)
@@ -490,7 +489,7 @@ for level_name in lint_levels:
     setattr(StructuredLogger, name, _lint_func(level_name))
 
 
-class StructuredLogFileLike(object):
+class StructuredLogFileLike:
     """Wrapper for file-like objects to redirect writes to logger
     instead. Each call to `write` becomes a single log entry of type `log`.
 
@@ -514,7 +513,7 @@ class StructuredLogFileLike(object):
         if data.endswith("\r"):
             data = data[:-1]
         if self.prefix is not None:
-            data = "%s: %s" % (self.prefix, data)
+            data = "{}: {}".format(self.prefix, data)
         self.log_func(data)
 
     def flush(self):
